{% extends "products/base.html" %}
{% load crispy_forms_tags %}
{% block content %}
    <div class="content-section">
            {% csrf_token %}
            <video id="webcam" autoplay playsinline width="640" height="480"></video>
            <canvas id="canvas" class="d-none"></canvas>
            <button name="flip camera" onclick="flipCamera()"> Flip camera</button>
            <button name="capture" onclick="capturePhoto()">Capture</button>
        
      
      <script
        type="text/javascript"
        src="https://unpkg.com/webcam-easy/dist/webcam-easy.min.js"
        ></script>
      <script>
        const webcamElement = document.getElementById("webcam");
        const canvasElement = document.getElementById("canvas");
     

        const webcam = new Webcam(
          webcamElement,
          "user",
          canvasElement
        );

        startCamera();

        function startCamera() {
          webcam
            .start()
            .then((result) => {
              console.log("webcam started");
            })
            .catch((err) => {
              console.log(err);
            });
        }

        function capturePhoto() {
          const url = "/payments/new/";
          var xhr = new XMLHttpRequest();
          var picture = webcam.snap()
          let data = {element: "barium"};
          let pinInput = prompt("Let the customer enter their pin:", "");
          fetch("/payments/new/", {
            method: "POST", 
            body: JSON.stringify({"img":picture,"pin":pinInput})
          }).then(res => {
            console.log("Request complete! response:", res);
            window.location = "/payments/result/";
          });
        }

        function flipCamera() {
          $("#cameraFlip").click(function () {
            webcam.flip();
            webcamstart();
          });
        }

        function stopWebcam() {
          webcam.stop();
        }
      </script>
      
      
    </div>
{% endblock content %}